import { Salutation } from "../../../enums/salutation";

export interface CreateMemberCommand {
  salutation: Salutation;
  firstname: string;
  lastname: string;
  nameaffix: string;
  birthdate: Date;
  internalId?: string;
}

export interface UpdateMemberCommand {
  id: number;
  salutation: Salutation;
  firstname: string;
  lastname: string;
  nameaffix: string;
  birthdate: Date;
  internalId?: string;
}

export interface UpdateMemberNewsletterCommand {
  id: number;
  communicationId: number;
}

export interface DeleteMemberCommand {
  id: number;
}
