import { Column, CreateDateColumn, Entity, PrimaryColumn } from "typeorm";

@Entity()
export class api {
  @PrimaryColumn({ type: "varchar", length: 255 })
  token: string;

  @Column({ type: "varchar", length: 255 })
  title: string;

  @CreateDateColumn()
  createdAt: Date;

  @Column({ type: "datetime", nullable: true })
  lastUsage?: Date;

  @Column({ type: "datetime", nullable: true })
  expiry?: Date;
}
